Bug 1565659 - Multiple OpenCL implementation sharing LLVM crashes Blender using cycle renderer
Summary: Multiple OpenCL implementation sharing LLVM crashes Blender using cycle renderer
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: llvm
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Stellard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1597037 1597356 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 13:48 UTC by Marcin Juszkiewicz
Modified: 2019-05-28 23:57 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:57:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Marcin Juszkiewicz 2018-04-10 13:48:51 UTC
Description of problem:

Blender crash on start.

Version-Release number of selected component (if applicable):

blender-1:2.79b-2.fc28.x86_64

How reproducible:

always

Steps to Reproduce:
1. dnf install blender
2. blender

Actual results:

15:43 (0s) hrw@puchatek:~$ blender 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
: CommandLine Error: Option 'enable-value-profiling' registered more than once!
LLVM ERROR: inconsistency in registered CommandLine options
15:43 (1s) hrw@puchatek:~$ 

Expected results:

Blender starts.

Additional info:

Comment 1 Marcin Juszkiewicz 2018-04-10 13:49:28 UTC
Big grey window blinks for a moment.

Comment 2 Luya Tshimbalanga 2018-04-11 05:37:24 UTC
Hello Marcin,

(In reply to Marcin Juszkiewicz from comment #0)

> 15:43 (0s) hrw@puchatek:~$ blender 
> DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
> Assuming 131072kB available aperture size.
> May lead to reduced performance or incorrect rendering.
> get chip id failed: -1 [22]
> param: 4, val: 0
> : CommandLine Error: Option 'enable-value-profiling' registered more than
> once!
> LLVM ERROR: inconsistency in registered CommandLine options
> 15:43 (1s) hrw@puchatek:~$ 

That report is similar to https://bugzilla.redhat.com/show_bug.cgi?id=1478536
Could you provide the hardware specification?

Comment 3 Marcin Juszkiewicz 2018-04-11 07:20:00 UTC
i7-2600K, 32GB ram, Geforce GTX1050 Ti with nouveau driver, Fedora 28, two fullhd monitors

Comment 4 Andrew Daniel 2018-04-16 02:13:46 UTC
Hello,

I too am having this same problem on the Fedora 28 Beta with Blender. I am running Fedora 28 Beta on my Late 2013 Mac Pro, equipped with a 6 core Xeon E5-1650 v2, dual AMD D500 GPU's, and 16GB of RAM.

Comment 5 Luya Tshimbalanga 2018-04-16 04:13:23 UTC
It sounds like mesa issue. I was able to reproduce a part of problem with cycle enabled. Filed upstream for further investigation: https://lists.blender.org/pipermail/bf-committers/2018-April/049324.html

Comment 6 Luya Tshimbalanga 2018-04-17 03:18:23 UTC
Would you provide a traceback log to reproduce the crash? The issue is likely from several implementations of OpenCL sharing LLVM hence the last message: 

": CommandLine Error: Option 'enable-value-profiling' registered more than once!
LLVM ERROR: inconsistency in registered CommandLine options"

Chance is comment #4 may have similar problem related to LLVM implementation of OpenCL.

Comment 7 Marcin Juszkiewicz 2018-04-17 08:22:15 UTC
Uninstalled 'pocl' and 'beignet' (as suggested in reply to mail from comment #5) and Blender started.

Now I can uninstall it as in meantime I used other tool ;D

Comment 8 Luya Tshimbalanga 2018-04-17 15:19:45 UTC
I can confirm the workaround as well. Based on the test, the bug does not belong to Blender but to LLVM team as further confirmed on https://bugs.llvm.org/show_bug.cgi?id=30587. Assigning to LLVM and renaming title.

Comment 9 Luya Tshimbalanga 2018-04-17 15:21:54 UTC
(In reply to Andrew Daniel from comment #4)
> Hello,
> 
> I too am having this same problem on the Fedora 28 Beta with Blender. I am
> running Fedora 28 Beta on my Late 2013 Mac Pro, equipped with a 6 core Xeon
> E5-1650 v2, dual AMD D500 GPU's, and 16GB of RAM.

Could you remove either pocl or beignet to see if the workaround resolves the issue

Comment 10 Tom Stellard 2018-04-17 16:02:49 UTC
This sounds similar to bug #1476741, which was fixed in f28 after beta, so you might want to try again with a newer f28 spin.

Comment 11 Andrew Daniel 2018-04-18 00:02:52 UTC
(In reply to Luya Tshimbalanga from comment #9)
> (In reply to Andrew Daniel from comment #4)
> > Hello,
> > 
> > I too am having this same problem on the Fedora 28 Beta with Blender. I am
> > running Fedora 28 Beta on my Late 2013 Mac Pro, equipped with a 6 core Xeon
> > E5-1650 v2, dual AMD D500 GPU's, and 16GB of RAM.
> 
> Could you remove either pocl or beignet to see if the workaround resolves
> the issue

Thank you for your responses Luya, Tom and Marcin. I have removed both pocl and beignet as suggested, and this has allowed Blender to start and run correctly.

Comment 12 Suvayu 2018-07-01 19:55:18 UTC
*** Bug 1597037 has been marked as a duplicate of this bug. ***

Comment 13 Suvayu 2018-07-01 20:02:13 UTC
I can con(In reply to Luya Tshimbalanga from comment #9)
>
> Could you remove either pocl or beignet to see if the workaround resolves
> the issue

I have the same issue, and I can confirm removing beignet allowed me to start blender (I have not tried anything yet).

My specs are:
- 4.17.2-200.fc28.x86_64 (w/ amdgpu) with Xfce 4.12.4
- Gigabyte AB350M-Gaming 3-CF
- AMD Ryzen 5 2400G with Radeon Vega Graphics (Raven Ridge)

Comment 14 Tom Stellard 2018-07-02 16:56:15 UTC
Does clinfo crash for you if you have mesa and beignet installed?

Comment 15 Suvayu 2018-07-02 17:07:50 UTC
No, clinfo doesn't crash for me.

Comment 16 Suvayu 2018-07-02 17:10:52 UTC
(In reply to Suvayu from comment #15)
> No, clinfo doesn't crash for me.

Sorry, the output was too long and I missed the error messages at the top, eventhough clinfo doesn't crash, I get the following messages in the beginning:

DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument                       
Assuming 131072kB available aperture size.                         
May lead to reduced performance or incorrect rendering.                                                      
get chip id failed: -1 [2]                                                                                                                                                                     param: 4, val: 0 

It repeats 4 times, and then I see my platform information.

Comment 17 Nicola 2018-08-14 09:01:50 UTC
Unfortunately it doesn't work form me. I have neither beignet not pocl. clinfo works. F28 fully updated.
kernel 4.17.12-200.fc28.x86_64 
blender-2.79b-3.fc28.x86_64
Radeon RX 560 Series (POLARIS11 / DRM 3.25.0 / 4.17.12-200.fc28.x86_64, LLVM 6.0.0)

Comment 18 Douglas King 2018-09-11 16:22:33 UTC
This issue also affects users of the proprietary Corel AfterShot Pro program, build 3.4.0.297. Contact me if you wish to test against it.

Comment 19 Tom Stellard 2018-09-11 23:01:01 UTC
(In reply to douglask from comment #18)
> This issue also affects users of the proprietary Corel AfterShot Pro
> program, build 3.4.0.297. Contact me if you wish to test against it.

Can you post a full backtrace of the crash and also the version of llvm that you have installed.

Comment 20 Douglas King 2018-09-12 15:47:50 UTC
(In reply to Tom Stellard from comment #19)
> (In reply to douglask from comment #18)
> > This issue also affects users of the proprietary Corel AfterShot Pro
> > program, build 3.4.0.297. Contact me if you wish to test against it.
> 
> Can you post a full backtrace of the crash and also the version of llvm that
> you have installed.

Happy to try to get that from my user.  What's the best way to obtain the backtrace?  I'll ask for that and the llvm version at the same time.  My internal ref # is 4967100

Comment 21 Tom Stellard 2018-09-12 15:57:21 UTC
(In reply to douglask from comment #20)
> (In reply to Tom Stellard from comment #19)
> > (In reply to douglask from comment #18)
> > > This issue also affects users of the proprietary Corel AfterShot Pro
> > > program, build 3.4.0.297. Contact me if you wish to test against it.
> > 
> > Can you post a full backtrace of the crash and also the version of llvm that
> > you have installed.
> 
> Happy to try to get that from my user.  What's the best way to obtain the
> backtrace?  I'll ask for that and the llvm version at the same time.  My
> internal ref # is 4967100

Depending on where the crashes is happening, the backtrace could be printed to stderr.  Otherwise you would have to use a debugger.  Also can you get the full Fedora version of the llvm package e.g. llvm-6.0.1-1.fc28.

Comment 22 Douglas King 2018-09-13 13:47:00 UTC
Here is the list of llvm components on the user's system:
==============================
llvm.x86_64                                6.0.1-6.fc28                @updates 
llvm-libs.i686                             6.0.1-6.fc28                @updates 
llvm-libs.x86_64                           6.0.1-6.fc28                @updates 
llvm5.0-libs.x86_64                        5.0.1-7.fc28                @fedora 
==============================

I checked the stderr output, and found that the log it creates had a bit more information on the failure. Here is the content of that:
==============================
Install Path: /opt/AfterShot3(64-bit) 
LD_PATH: /opt/AfterShot3(64-bit)/lib: 
XLIB_SKIP_ARGB_VISUALS: 
I have SSE2 
first run - setting up folders 
Setting default catalog location to: "/home/s/Pictures/AfterShot Pro 
Catalog 3" 
Loading plugins 
Loading camera modules from "/opt/AfterShot3(64- 
bit)/supportfiles/cameras" 
Loading camera modules from "/home/s/.AfterShot Pro 3/Cameras (64-bit)" 
Bibble program arguments ("./AfterShot") 
Problems clearing file %s : %s "/home/s/.AfterShot Pro 
3/AfterShotPro.log" "No such file or directory" 
AfterShot vers.: 3.4.0.297 
Built on: "Mi. Jan. 10 2018" 
Language: en 
App Path: /opt/AfterShot3(64-bit)/bin/AfterShot 
System Home: /opt/AfterShot3(64-bit)/supportfiles 
User Home: /home/s/.AfterShot Pro 3 
Prefs Home: /home/s/.config/Corel/AfterShot Pro v3.conf 
Platform: Linux 
Issue: "\S" 
Kernel: "Linux version 4.17.19-200.fc28.x86_64 ( 
mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 8.1.1 20180712 
(Red Hat 8.1.1-5) (GCC)) #1 SMP Fri Aug 24 15:47:41 UTC 2018" 
Build Mode: Release 
Product Name: "AfterShot Pro 3" 
Trial Version 
Initializing 
Cpu Manager init: 8 
****	Making CLManager 
mesa: CommandLine Error: Option 'enable-value-profiling' registered 
more than once! 
LLVM ERROR: inconsistency in registered CommandLine options 
QMutex: destroying locked mutex 
==============================

Comment 23 John Webb 2018-09-16 15:51:02 UTC
As noted in comment #7 and #9 removing pocl and beignet allows blender to start.  Have not determined if there are any other issues.  Note that removing pocl and beignet did not trigger any dependency removals.  (Running F28 Workstation that has been upgraded unknown # of times using the 'system-upgrade' tool.  No idea at what point pocl and beignet were installed, nor if removing has any impact on my system)>

Comment 24 Tom Stellard 2019-03-04 17:29:08 UTC
*** Bug 1597356 has been marked as a duplicate of this bug. ***

Comment 25 Brian Lane 2019-03-05 16:34:06 UTC
[bcl@pugs ~]$ dnf info --installed '*llvm*'
Installed Packages
Name         : llvm-libs
Version      : 6.0.1
Release      : 8.fc28
Arch         : i686
Size         : 61 M
Source       : llvm-6.0.1-8.fc28.src.rpm
Repo         : @System
From repo    : updates
Summary      : LLVM shared libraries
URL          : http://llvm.org
License      : NCSA
Description  : Shared libraries for the LLVM compiler infrastructure.

Name         : llvm-libs
Version      : 6.0.1
Release      : 8.fc28
Arch         : x86_64
Size         : 56 M
Source       : llvm-6.0.1-8.fc28.src.rpm
Repo         : @System
From repo    : updates
Summary      : LLVM shared libraries
URL          : http://llvm.org
License      : NCSA
Description  : Shared libraries for the LLVM compiler infrastructure.

Name         : llvm5.0-libs
Version      : 5.0.1
Release      : 7.fc28
Arch         : x86_64
Size         : 53 M
Source       : llvm5.0-5.0.1-7.fc28.src.rpm
Repo         : @System
From repo    : fedora
Summary      : LLVM shared libraries
URL          : http://llvm.org
License      : NCSA
Description  : Shared libraries for the LLVM compiler infrastructure.

Comment 26 Brian Lane 2019-03-05 16:39:46 UTC
Removed pocl and beignet, which also removed hwloc-libs and now blender starts without needing to set CYCLES_OPENCL_TEST=NONE
This system has also been upgraded over several releases which may explain why the packages were still installed.

Comment 27 Ade Rixon 2019-04-28 11:53:32 UTC
Can confirm same error for AfterShotPro 3.5, fixed by removing mesa-libOpenCL (although not sure what else this might affect).

llvm-libs-6.0.1-8.fc28.x86_64
mesa-libOpenCL-18.0.5-4.fc28.x86_64
AfterShotPro3-3.5-0.350.x86_64

Comment 28 Ben Cotton 2019-05-02 19:16:41 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 29 Ben Cotton 2019-05-02 19:38:31 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 30 Ben Cotton 2019-05-28 23:57:35 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.